#ifndef OBJECTINFO_HPP_INCLUDED
#define OBJECTINFO_HPP_INCLUDED

#include "CacheableNode.hpp"
#include "../JavaClass/Class.hpp"
#include <vector>
#include <string>
#include <cstdint>

namespace Internal
{
    class ObjectInfo : public CacheableNode
    {
        public:
            ObjectInfo();
            ObjectInfo(const void* Obj);
            ObjectInfo(const ObjectInfo& O);
            static Class GetClass();

            std::vector<std::string> GetActions() const;
            std::int32_t GetID() const;
            std::vector<std::int32_t> GetImposterIDs() const;
            std::vector<std::int32_t> GetModelIDs() const;
            std::string GetName() const;
            std::vector<std::int32_t> GetObjectTypes() const;
            std::int32_t GetSettingID() const;
            std::int32_t GetVarbitID() const;

    };
}

#endif // OBJECTINFO_HPP_INCLUDED
